Skip to main content
Merchants must complete onboarding themselves so they can accept Dintero’s terms of service. There are two flows for creating new merchants under your partner account. Both accept an optional signup_reference parameter that you can use to track which invitation a merchant signed up from. You can retrieve this value later from the applicant.signup_reference field when you get the account settings.

Alternative 1: Self-service onboarding

You link the merchant to the Dintero onboarding form. The merchant submits their details, accepts the terms of service, verifies their email address, and creates a password for their Dintero account.
https://onboarding.dintero.com/?partner={partner_id}&signup_reference={signup_reference}
Example: https://onboarding.dintero.com/?partner=112&signup_reference=abc-123

Alternative 2: Prefilled onboarding

You prefill the merchant’s details using the prefill form. The merchant receives an email with a link to review and edit their details, accept the terms of service, and create a password.
https://onboarding.dintero.com/prefill?partner={partner_id}&signup_reference={signup_reference}
Example: https://onboarding.dintero.com/prefill?partner=112&signup_reference=abc-123

Requesting in-person payments for a new merchant

Partners can request that in-person payments (IPP, using physical terminals) be enabled for a new merchant during the onboarding process.
In Backoffice, open Partner admin and click Invite new merchant. In the integration settings section of the new merchant form, check Terminal payments and submit the form.The IPP request is saved to the new merchant account and is reflected in the KYC process.

Get notified when merchants are onboarded

Subscribe to the account_add and account_update webhook events to get notified when a merchant completes onboarding or updates their information.
Request
curl -X POST https://api.dintero.com/v1/accounts/T11200000/hooks/subscriptions \
  -H "Authorization: Bearer <TOKEN>" \
  -H "Content-Type: application/json" \
  -d '{
    "config": {
      "url": "https://example.com/webhooks/dintero"
    },
    "events": [
      "account_add",
      "account_update"
    ]
  }'
See the create webhook subscription API reference for all available options.
Last modified on June 26, 2026